# This is the CRAN name
%global packname mdatools
# This is the main package version
%global packver 0.14
# Note that some R packages do not use packrel
%global packrel 1

Name:    R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.rhel7.lc
Summary: Projection based methods for preprocessing, exploring and analysis of multivariate data used in chemometrics

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/mdatools/index.html
Source: %{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    tex(latex), R-devel
BuildArch:        noarch
Requires:         R-core

%define debug_package %{nil}

%description
R package:
R package for preprocessing, exploring and analysis of multivariate data. The package provides methods mostly common for Chemometrics.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/LICENSE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/NEWS.md
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data

%changelog
* Thu Oct 26 2023 Stuart Raeburn <raeburn@loncapa.org> (0.14.1-1)
- Initial build for R 3.6.0
